Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Dial Up интернет в Ubuntu  (Прочитано 3789 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн 4life

  • Автор темы
  • Участник
  • *
  • Сообщений: 118
  • I am Linux
    • Просмотр профиля
Dial Up интернет в Ubuntu
« : 20 Декабрь 2008, 13:07:56 »
Всем привет!
Вчера установил своей девушке Ubuntu 8.10, все замечательно работает, лучше чем ЗлоXP, да вот только проблема, не смог подключиться к интернет через dial up соединение!
Следуя интсрукции сделал следующее
Цитировать
Определение вашего модема

Большинство модемов для коммутируемых линий не поддерживаются Ubuntu, но существуют драйверы, позволяющие использовать некоторые из них. В первую очередь, вам необходимо узнать, какой чипсет использует ваш модем:

1.Загрузите scanmodem (http://linmodems.technion.ac.il/packages/scanModem.gz), используя компьютер, подключенный к интернет.

               
2.Скопируйте загруженный файл в домашний каталог на компьютере, где должен использоваться модем для коммутируемых линий (диалап).

               
3.Откройте Терминал (Приложения ▸ Стандартные ▸ Терминал) и введите следующие команды, нажимая Ввод после каждой строки:

      gunzip -c scanModem.gz > scanModem
      chmod +x scanModem
      sudo ./scanModem
      gedit Modem/ModemData.txt
            


               
4.Должен открыться файл, содержащий информацию о чипсетах обнаруженных модемов. Распечатайте или сохраните эту информацию.
Текстовый файл содержал следующую информацию
Цитировать
YourCountry will enable Country specific guidance. Linux experts in YourCountry
 can be found through: http://www.linux.org/groups/index.html.
They will know your Country's modem code, which may be essential for dialup service.
Responses from Discuss@Linmodems.org are sometimes blocked by an Internet Provider mail filters.
 So in a day, also check the Archived responses at http://www.linmodems.org
--------------------------  System information ----------------------------
CPU=i686, 
Linux version 2.6.27-7-generic (buildd@rothera) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu10) ) #1 SMP Fri Oct 24 06:42:44 UTC 2008
 scanModem update of:  2008_11_06

 There are no blacklisted modem drivers in /etc/modprobe*  files
Attached USB devices are:
 ID 1d6b:0001 Linux Foundation 1.1 root hub
 ID 1d6b:0001 Linux Foundation 1.1 root hub

USB modems not recognized

For candidate card in slot 02:04.0, firmware information and bootup diagnostics are:
 PCI slot   PCI ID      SubsystemID   Name
 ----------   ---------   ---------   --------------
 02:04.0   14f1:2f00   14f1:2003   Communication controller: Conexant Systems, Inc. HSF 56k HSFi Modem

 Modem interrupt assignment and sharing:
 --- Bootup diagnostics for card in PCI slot 02:04.0 ----
[    0.734889] PCI: 0000:02:04.0 reg 10 32bit mmio: [ee000000, ee00ffff]
[    0.734900] PCI: 0000:02:04.0 reg 14 io port: [c000, c007]
[    0.734947] pci 0000:02:04.0: PME# supported from D3hot D3cold
[    0.734955] pci 0000:02:04.0: PME# disabled

 The PCI slot 02:04.0 of the modem card may be disabled early in
 a bootup process,  but then enabled later. If modem drivers load
 but the  modem is not responsive, read DOCs/Bootup.txt about possible fixes.
 Send dmesg.txt along with ModemData.txt to discuss@linmodems.org
 if help is needed.
 

=== Finished firmware and bootup diagnostics, next deducing cogent software. ===

Predictive  diagnostics for card in bus 02:04.0:
   Modem chipset  detected on
NAME="Communication controller: Conexant Systems, Inc. HSF 56k HSFi Modem "
CLASS=0780
PCIDEV=14f1:2f00
SUBSYS=14f1:2003
IRQ=11
IDENT=hsfmodem
Driver=hsfmodem-drivers

 For candidate modem in:  02:04.0
   0780 Communication controller: Conexant Systems, Inc. HSF 56k HSFi Modem
      Primary device ID:  14f1:2f00
 Support type needed or chipset:   hsfmodem
 


For owners of a Dell PCs with Conexant HSF modems, a driver source package with full speed enabled is available, but requires driver compiling. Read DOCs/Conexant.txt


Start at http://www.linuxant.com/drivers/hsf/downloads-license.php to find the
hsfmodem package matching your System. For several Linux distros, there are
precompiled drivers matched to specific kernels. These have within the FileName,
your KernelVersion:   2.6.27_7_generic
They can be found through http://www.linuxant.com/drivers/hsf/full/downloads.php
A more precise location may be given a few paragraphs below.
If an EXACT Match with your your KernelVersion is not found, one of the
"Generic packages with source" near the bottom of the page must be used.
Downloaded packages must be moved into the Linux partition (home folder is OK)
and unzipped with:
   unzip hsf*.zip
The installation command for a .deb suffic packages is, with root/adm permission:
  sudo dpkg -i hsf*.deb
while for .rpm suffix it is, with:
  rpm -i hsf*.rpm
 From  http://www.linuxant.com/drivers/hsf/full/downloads-ubuntu-x86.php
 download hsfmodem-7.68.00.12full_k2.6.27_7_generic_ubuntu_i386.deb.zip
 Under Linux unpack with:
 $ unzip hsfmodem*.zip
 Then install with:
 $ sudo dpkg -i hsfmodem*.deb
 Subsequently, the modem should be found with
 $ sudo wvdialconf /etc/wvdial.conf
 Edit in your personal information with:
 $ sudo gedit /etc/wvdial.conf
 and try dialing out with:
 $ sudo wvdial.
 See DOCs/Testing.txt  for details.
 
 Read DOCs/Conexant.txt

Writing DOCs/Conexant.txt


 Completed candidate modem analyses.

 The base of the UDEV device file system is: /dev/.udev

 Versions adequately match for the compiler installed: 4.3.2
             and the compiler used in kernel assembly: 4.3.2


 
 Minimal compiling resources appear complete:
   make utility - /usr/bin/make
   Compiler version 4.3
   linuc_headers base folder /lib/modules/2.6.27-7-generic/build

 However some compilations and executable functions may need additional files,
 in the FileNames.h (so called kernel "h"eaders) collection installed in  /usr/include/ .
 For martian_modem, additional required packages are needed. The also required headers of package libc6 are commonly installed by default.
 Compiling hsfmodem drivers does require linux-libc-dev and libc6-dev packages, for kernels 2.6.24 and later versions.
 In not included on your install CD, search for them at http://packages.ubuntu.com
 or comparable Repository for other Linux distros.
 When compiling ALSA drivers, the utility "patch" will also be needed.




If a driver compilation fails, with message including some lack of some FileName.h (stdio.h for example), then
Some additional kernel-header files need installation to /usr/include. The minimal additional packages are libc6-dev
and any of its dependents, under Ubuntu linux-libc-dev

If an alternate ethernet connection is available,
$  apt-get update
$  apt-get -s install linux-kernel-devel
will install needed packages.
For Debian/Ubuntu related distributions, run the following command to display the needed package list:

Otherwise packages have to be found through http://packages.ubuntu.com
Once downloaded and transferred into a Linux partition,
they can be installed alltogether with:
$ sudo dpkg -i *.deb


Checking pppd properties:
   -rwsr-xr-- 1 root dip 273064 2008-10-16 04:51 /usr/sbin/pppd

In case of an "error 17" "serial loopback" problem, see:
    http://linmodems.technion.ac.il/linmodems/archive-sixth/msg02637.html

To enable dialout without Root permission do:
   $ su - root  (not for Ubuntu)
        sudo chmod a+x /usr/sbin/pppd
or under Ubuntu related Linuxes
   sudo chmod a+x /usr/sbin/pppd

Checking settings of:   /etc/ppp/options
asyncmap 0
noauth
crtscts
lock
hide-password
modem
proxyarp
lcp-echo-interval 30
lcp-echo-failure 4
noipx

In case of a message like:
   Warning: Could not modify /etc/ppp/pap-secrets: Permission denied
see http://linmodems.technion.ac.il/bigarch/archive-sixth/msg04656.html


 Don't worry about the following, it is for experts should trouble shooting be necessary.
==========================================================

 Checking for modem support lines:
 --------------------------------------
     /device/modem symbolic link:   
slmodemd created symbolic link /dev/ttySL0: 
     Within /etc/udev/ files:

     Within /etc/modprobe.conf files:
/etc/modprobe.d/blacklist-modem:# Uncomment these entries in order to blacklist unwanted modem drivers
/etc/modprobe.d/blacklist-modem:# blacklist snd-atiixp-modem
/etc/modprobe.d/blacklist-modem:# blacklist snd-via82xx-modem
/etc/modprobe.d/alsa-base:options snd-atiixp-modem index=-2
/etc/modprobe.d/alsa-base:options snd-via82xx-modem index=-2
     Within any ancient /etc/devfs files:

     Within ancient kernel 2.4.n /etc/module.conf files:

--------- end modem support lines --------
Далее следуя интрукции
Цитировать
Подключение с использованием модема

Менеджер сети - приложение, позволяющее настроить модемное соединение.

Вам необходимо знать следующие данные:

Номер телефона ISP, Имя пользователя, Пароль; Адреса Серверов доменных имён (DNS)

1.Выберите Система ▸ Администрирование ▸ Сеть
Но раздела сеть в Администрировании у нее нет, на этом мои настроики закончились!
Что это может быть? У меня хоть и нет Dial Up модема, но данный раздел сеть есть!

Оффлайн TimeScan

  • Новичок
  • *
  • Сообщений: 49
  • KUbuntu
    • Просмотр профиля
Re: Dial Up интернет в Ubuntu
« Ответ #1 : 20 Декабрь 2008, 13:17:22 »
Здраствуй !
Попробуй почитать эту    https://forum.ubuntu.ru/index.php?topic=27690.0    тему.


Успехов !!!
« Последнее редактирование: 20 Декабрь 2008, 13:22:09 от TimeScan »
Железо в порядке, ну и Слава Богу.

Оффлайн Belyaev Nikolay

  • Активист
  • *
  • Сообщений: 734
    • Просмотр профиля
    • моя работа- дробилки, грохота...
Re: Dial Up интернет в Ubuntu
« Ответ #2 : 20 Декабрь 2008, 13:26:46 »
всё таки стоит здесь посмотреть http://www.linuxant.com/drivers/hsf/install.php тут точно твой id поддерживается
скачать здесь http://www.linuxant.com/drivers/hsf/downloads-license.php
"Сначала они вас игнорируют, потом смеются над вами, потом борются с вами, а потом вы побеждаете"
Махатма Ганди

Оффлайн Ханыков

  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Re: Dial Up интернет в Ubuntu
« Ответ #3 : 20 Декабрь 2008, 14:14:27 »
Не подскажете можно ли пользоваться интернетом через модем мобильного телефона, который подключен с помощью bluetooth&

Оффлайн PbI6A

  • Старожил
  • *
  • Сообщений: 1096
  • просто я так выгляжу!
    • Просмотр профиля
    • Жизнь, как она есть.
Re: Dial Up интернет в Ubuntu
« Ответ #4 : 19 Январь 2009, 13:55:29 »
В версии 8.10 возникл трабл с запуском gnome-ppp - не хотел стартовать pppd без рутовых прав. Полечилось по совету http://www.linuxsoft.ru/info/lib/lib/HowTo/PPP-HOWTO.html

Цитата:

26.6 Настройка pppd, чтобы он был (успешно) доступен пользователям для запуска

Так как запуск ppp связи подразумевает конфигурирование устройства ядра (сетевого интерфейса) и управление ядром, таблицы маршрутизации, требуются специальные привилегии - фактически полные привилегии root.

К счастью, pppd был разработан достаточно 'безопасным' для выполнения установки uid в root. Так что вам нужно будет сделать

______________________________________________________________________

chmod u+s /usr/sbin/pppd
______________________________________________________________________

когда вы выведете список файлов, то должно появиться

______________________________________________________________________

-rwsr-xr-x   1 root     root        74224 Apr 28 07:17 /usr/sbin/pppd
______________________________________________________________________

Если вы не сделаете это, то пользователи не смогут установить связь по ppp.

LINUX means: Linux Is Not a UniX
Ubuntu осталась на компе, нетбуке, сервере.
Да здравствует Debian! Debian - наше всё!

Оффлайн Legend1991

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Dial Up интернет в Ubuntu
« Ответ #5 : 21 Март 2009, 22:23:03 »
здаров народ!
А у меня scanModem.gz вот такое высвечивает:
Цитировать
Only plain text email is forwarded by the  Discuss@Linmodems.org List Server,
 as HTML can contain viruses. Use as the email Subject Line:
           YourName, YourCountry  kernel 2.6.27-7-generic
 With this Subject Line cogent experts will be alerted, and useful case names left in the Archive.
 YourCountry will enable Country specific guidance. Linux experts in YourCountry
 can be found through: http://www.linux.org/groups/index.html.
They will know your Country's modem code, which may be essential for dialup service.
Responses from Discuss@Linmodems.org are sometimes blocked by an Internet Provider mail filters.
 So in a day, also check the Archived responses at http://www.linmodems.org
--------------------------  System information ----------------------------
CPU=i686, 
Linux version 2.6.27-7-generic (buildd@rothera) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu10) ) #1 SMP Fri Oct 24 06:42:44 UTC 2008
 scanModem update of:  2009_03_01

 There are no blacklisted modem drivers in /etc/modprobe*  files
 Potentially useful modem drivers now loaded are:
               

If a USB modem or cellphone is attached and was not detected, please
provide available information in your request to discuss@linmodems.org

For candidate card in slot 00:0b.0, firmware information and bootup diagnostics are:
 PCI slot   PCI ID      SubsystemID   Name
 ----------   ---------   ---------   --------------
 00:0b.0   11c1:048c   11c1:044c   Communication controller: Agere Systems V.92 56K WinModem

 Modem interrupt assignment and sharing:
 15:       7825   IO-APIC-edge      pata_via
 --- Bootup diagnostics for card in PCI slot 00:0b.0 ----
[    0.581443] PCI: 0000:00:0b.0 reg 10 32bit mmio: [e2000000, e20000ff]
[    0.581451] PCI: 0000:00:0b.0 reg 14 io port: [d400, d407]
[    0.581459] PCI: 0000:00:0b.0 reg 18 io port: [d800, d8ff]
[    0.581489] pci 0000:00:0b.0: supports D2
[    0.581493] pci 0000:00:0b.0: PME# supported from D2 D3hot D3cold
[    0.581500] pci 0000:00:0b.0: PME# disabled

 The PCI slot 00:0b.0 of the modem card may be disabled early in
 a bootup process,  but then enabled later. If modem drivers load
 but the  modem is not responsive, read DOCs/Bootup.txt about possible fixes.
 Send dmesg.txt along with ModemData.txt to discuss@linmodems.org
 if help is needed.
 

=== Finished firmware and bootup diagnostics, next deducing cogent software. ===

Predictive  diagnostics for card in bus 00:0b.0:
   Modem chipset  detected on
NAME="Communication controller: Agere Systems V.92 56K WinModem "
CLASS=0780
PCIDEV=11c1:048c
SUBSYS=11c1:044c
IRQ=5
IDENT=agrsm.SV2P

 For candidate modem in:  00:0b.0
   0780 Communication controller: Agere Systems V.92 56K WinModem
      Primary device ID:  11c1:048c
 Support type needed or chipset:   agrsm.SV2P
 

----------------end Softmodem section --------------
-------------- end Agere Systems section -------------------

 Completed candidate modem analyses.

 The base of the UDEV device file system is: /dev/.udev

 Versions adequately match for the compiler installed: 4.3.2
             and the compiler used in kernel assembly: 4.3.2

 The patch utility is needed and is needed for compiling ALSA drivers, and possibly others.

 
 Minimal compiling resources appear complete:
   make utility - /usr/bin/make
   Compiler version 4.3
   linuc_headers base folder /lib/modules/2.6.27-7-generic/build

 However some compilations and executable functions may need additional files,
 in the FileNames.h (so called kernel "h"eaders) collection installed in  /usr/include/ .
 For martian_modem, additional required packages are needed. The also required headers of package libc6 are commonly installed by default.
 Compiling hsfmodem drivers does require linux-libc-dev and libc6-dev packages, for kernels 2.6.24 and later versions.
 In not included on your install CD, search for them at http://packages.ubuntu.com
 or comparable Repository for other Linux distros.
 When compiling ALSA drivers, the utility "patch" will also be needed.




If a driver compilation fails, with message including some lack of some FileName.h (stdio.h for example), then
Some additional kernel-header files need installation to /usr/include. The minimal additional packages are libc6-dev
and any of its dependents, under Ubuntu linux-libc-dev

If an alternate ethernet connection is available,
$  apt-get update
$  apt-get -s install linux-kernel-devel
will install needed packages.
For Debian/Ubuntu related distributions, run the following command to display the needed package list:

Otherwise packages have to be found through http://packages.ubuntu.com
Once downloaded and transferred into a Linux partition,
they can be installed alltogether with:
$ sudo dpkg -i *.deb


Checking pppd properties:
   -rwsr-xr-- 1 root dip 273064 2008-10-16 04:51 /usr/sbin/pppd

In case of an "error 17" "serial loopback" problem, see:
    http://linmodems.technion.ac.il/linmodems/archive-sixth/msg02637.html

To enable dialout without Root permission do:
   $ su - root  (not for Ubuntu)
        sudo chmod a+x /usr/sbin/pppd
or under Ubuntu related Linuxes
   sudo chmod a+x /usr/sbin/pppd

Checking settings of:   /etc/ppp/options
asyncmap 0
noauth
crtscts
lock
hide-password
modem
proxyarp
lcp-echo-interval 30
lcp-echo-failure 4
noipx

In case of a message like:
   Warning: Could not modify /etc/ppp/pap-secrets: Permission denied
see http://linmodems.technion.ac.il/bigarch/archive-sixth/msg04656.html


 Don't worry about the following, it is for experts should trouble shooting be necessary.
==========================================================

 Checking for modem support lines:
 --------------------------------------
     /device/modem symbolic link:   
slmodemd created symbolic link /dev/ttySL0: 
     Within /etc/udev/ files:

     Within /etc/modprobe.conf files:
/etc/modprobe.d/blacklist-modem:# Uncomment these entries in order to blacklist unwanted modem drivers
/etc/modprobe.d/blacklist-modem:# blacklist snd-atiixp-modem
/etc/modprobe.d/blacklist-modem:# blacklist snd-via82xx-modem
/etc/modprobe.d/alsa-base:options snd-atiixp-modem index=-2
/etc/modprobe.d/alsa-base:options snd-via82xx-modem index=-2
     Within any ancient /etc/devfs files:

     Within ancient kernel 2.4.n /etc/module.conf files:

--------- end modem support lines --------


помогите настроить диал ап инет, плиз!!
Линуксоиды захватят мир!!! Ха-ха-хааа!!!...

Оффлайн Ecspert

  • Новичок
  • *
  • Сообщений: 46
    • Просмотр профиля
    • Славянин
Re: Dial Up интернет в Ubuntu
« Ответ #6 : 04 Июль 2009, 18:19:31 »
помогите установить модем  :'( :2funny: :idiot2:
Моя Мечта - Освоить Линукс

Оффлайн Tokh

  • Активист
  • *
  • Сообщений: 705
    • Просмотр профиля
Re: Dial Up интернет в Ubuntu
« Ответ #7 : 04 Июль 2009, 19:06:14 »
Ну если это кастрированный модем по технологии Win устройств, Win modem, то скорее всего не смешно.
StarDict и Mueller помогут против английского мануала.

Оффлайн dj--alex

  • Старожил
  • *
  • Сообщений: 3209
  • Понимаешь, я какбы беру в руки лопату и говорю...
    • Просмотр профиля
    • все мои творения и занятия
Re: Dial Up интернет в Ubuntu
« Ответ #8 : 05 Июль 2009, 13:36:33 »
win модем у меня например так и не завелся под линуксом, пришлось продать
модель Lucent была.

вообще век модемов уже ушел, если конечно вы не в сибири или зауралье  где-то живете,и то там уже выделенки тянут

Ubuntu 16.04.1 MATE x64, 18.1 x64 Mate, MX-Linux 16 Mate Mate Mate Mate. PC:?\FX4100@4ghz\8Gb\2TB HDD\1060gtx\90GB Ocz
https://forum.ubuntu.ru/index.php?topic=199897.0

Оффлайн Offoff

  • Участник
  • *
  • Сообщений: 118
  • Ubuntu Linux Lucid Lynx Happy User
    • Просмотр профиля
    • Российское отделение Всемирной тоталитарной секты Убунтологов
Re: Dial Up интернет в Ubuntu
« Ответ #9 : 19 Июль 2009, 18:50:20 »
Да у нас и получше бывает.
Hail Ubuntu Linux! Behold Ubuntu Linux! Obey Ubuntu Linux!
Меня можно спросить о dvb-устройствах, tv-тюнерах, mplayer, squid и других проксях.

 

Страница сгенерирована за 0.059 секунд. Запросов: 22.